Debian Bug report logs - #692136
manpages: resolv.conf should not mention RES_OPTIONS=debug

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Simon Heimberg <simohe@besonet.ch>

Date: Fri, 2 Nov 2012 15:03:02 UTC

Severity: minor

Tags: fixed-upstream, patch, upstream

Fixed in version manpages/3.51-1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://thread.gmane.org/gmane.linux.man/3696

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#692136; Package libc6. (Fri, 02 Nov 2012 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Heimberg <simohe@besonet.ch>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 02 Nov 2012 15:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Heimberg <simohe@besonet.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libc6: debugging resolv by setting debug does not work
Date: Fri, 02 Nov 2012 15:37:36 +0100
Package: libc6
Version: 2.13-36
Severity: minor

Dear Maintainers,

Debugging name resulution does not work. According to 'man resolv.conf',
it can be enabled by writing options debug in /etc/resolv.conf or by setting
RES_OPTIONS=debug when starting a process.

I tried to debug problems in dns name resolution. I found out that 
'RES_OPTIONS=debug ping a.b.c.d' does not print any debug output. Also no othe 
program (like wget) does. Writing options debug in /etc.resolc.conf does also 
not change anything.

The problem is that the RES_DEBUG is only considered when DEBUGGING is set. 
(In res_setoptions() of res_init.c)

Not sure if this should be changed (by changeing the code [upstream] or 
compileing with DEBUG) or the manual page about resolv.conf should be updated 
and not mention option debug. (The manpage is in the package manpages.)


same bug in different system:
mail-index.netbsd.org/netbsd-bugs/2001/08/27/0005.html


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_CH.UTF-8, LC_CTYPE=de_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libc6 depends on:
ii  libc-bin  2.13-36
ii  libgcc1   1:4.7.1-7

libc6 recommends no packages.

Versions of packages libc6 suggests:
ii  debconf [debconf-2.0]  1.5.46
pn  glibc-doc              <none>
ii  locales                2.13-35

-- debconf information excluded



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#692136; Package libc6. (Tue, 13 Nov 2012 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 13 Nov 2012 23:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 692136@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Simon Heimberg <simohe@besonet.ch>, 692136@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#692136: libc6: debugging resolv by setting debug does not work
Date: Wed, 14 Nov 2012 00:51:44 +0100
reassign 692136 manpages
retitle 692136: manpages: resolv.conf should not mention RES_OPTIONS=debug
thanks

On Fri, Nov 02, 2012 at 03:37:36PM +0100, Simon Heimberg wrote:
> Package: libc6
> Version: 2.13-36
> Severity: minor
> 
> Dear Maintainers,
> 
> Debugging name resulution does not work. According to 'man resolv.conf',
> it can be enabled by writing options debug in /etc/resolv.conf or by setting
> RES_OPTIONS=debug when starting a process.
> 
> I tried to debug problems in dns name resolution. I found out that 
> 'RES_OPTIONS=debug ping a.b.c.d' does not print any debug output. Also no othe 
> program (like wget) does. Writing options debug in /etc.resolc.conf does also 
> not change anything.
> 
> The problem is that the RES_DEBUG is only considered when DEBUGGING is set. 
> (In res_setoptions() of res_init.c)
> 
> Not sure if this should be changed (by changeing the code [upstream] or 
> compileing with DEBUG) or the manual page about resolv.conf should be updated 
> and not mention option debug. (The manpage is in the package manpages.)

The resolver code is deliberately not build with DEBUG by default, as
stated in the sources in resolv/README:

| * The RES_DEBUG option (`options debug' in /etc/resolv.conf) has been
|  disabled.

For me it is therefore a documentation issue. I am therefore reassigning
this bug to the manpages package.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net



Bug reassigned from package 'libc6' to 'manpages'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Tue, 13 Nov 2012 23:54:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions eglibc/2.13-36. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Tue, 13 Nov 2012 23:54:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'manpages: resolv.conf should not mention RES_OPTIONS=debug' from 'libc6: debugging resolv by setting debug does not work' Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Wed, 14 Nov 2012 00:03:03 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Mon, 19 Nov 2012 21:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#692136; Package manpages. (Mon, 19 Nov 2012 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 692136@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Mon, 19 Nov 2012 21:45:03 GMT) Full text and rfc822 format available.

Message #23 received at 692136@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: mtk.manpages@gmail.com
Cc: 692136@bugs.debian.org
Subject: Re: Bug#692136: libc6: debugging resolv by setting debug does not work
Date: Mon, 19 Nov 2012 22:41:45 +0100
Hello Michael,

Some update wrt resolver.

On Wed, Nov 14, 2012 at 12:51:44AM +0100, Aurelien Jarno wrote:
> reassign 692136 manpages
> retitle 692136: manpages: resolv.conf should not mention RES_OPTIONS=debug
> thanks
> 
> On Fri, Nov 02, 2012 at 03:37:36PM +0100, Simon Heimberg wrote:
> > Package: libc6
> > Version: 2.13-36
> > Severity: minor
[..]
> > I tried to debug problems in dns name resolution. I found out that 
> > 'RES_OPTIONS=debug ping a.b.c.d' does not print any debug output. Also no othe 
> > program (like wget) does. Writing options debug in /etc.resolc.conf does also 
> > not change anything.
> > 
> > The problem is that the RES_DEBUG is only considered when DEBUGGING is set. 
> > (In res_setoptions() of res_init.c)
[..]
> The resolver code is deliberately not build with DEBUG by default, as
> stated in the sources in resolv/README:
> 
> | * The RES_DEBUG option (`options debug' in /etc/resolv.conf) has been
> |  disabled.
> 
> For me it is therefore a documentation issue. I am therefore reassigning
> this bug to the manpages package.

And for the record, it seems this has been the case in glibc since a very long time
committer	Roland McGrath <roland@gnu.org>	
Sat, 18 Feb 1995 01:27:10 +0000 (01:27 +0000)
commit	28f540f45bbacd939bfd07f213bcad2bf730b1bf
http://repo.or.cz/w/glibc.git/blob/28f540f45bbacd939bfd07f213bcad2bf730b1bf:/resolv/res_init.c

Wording proposal (for both resolv.conf.5 and resolver.3):
This option needs glibc to be build with debugging enabled, which is not the default.

If the wording is fine to you, I will provide proper patch.

-- 
Simon Paillard



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#692136; Package manpages. (Mon, 04 Mar 2013 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Mon, 04 Mar 2013 22:51:03 GMT) Full text and rfc822 format available.

Message #28 received at 692136@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 692136@bugs.debian.org
Subject: Fw: [PATCH] resolver.3: RES_DEBUG not accessible with default build
Date: Mon, 4 Mar 2013 23:44:40 +0100
[Message part 1 (text/plain, inline)]
Forwarded
-- 
Simon Paillard
[Message part 2 (message/rfc822, inline)]
From: Simon Paillard <spaillard@debian.org>
To: linux-man@vger.kernel.org
Cc: Simon Paillard <spaillard@debian.org>
Subject: [PATCH] resolver.3: RES_DEBUG not accessible with default build
Date: Mon, 4 Mar 2013 23:45:19 +0100
See http://bugs.debian.org/692136

For the record, it seems this has been the case in glibc since a while
committer	Roland McGrath <roland@gnu.org>
Sat, 18 Feb 1995 01:27:10 +0000 (01:27 +0000)
commit	28f540f45bbacd939bfd07f213bcad2bf730b1bf
http://repo.or.cz/w/glibc.git/blob/28f540f45bbacd939bfd07f213bcad2bf730b1bf:/resolv/res_init.c
---
 man3/resolver.3 |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/man3/resolver.3 b/man3/resolver.3
index af532f7..390d51b 100644
--- a/man3/resolver.3
+++ b/man3/resolver.3
@@ -184,7 +184,8 @@ True if
 has been called.
 .TP
 .B RES_DEBUG
-Print debugging messages.
+Print debugging messages.  This option needs glibc to be build with debugging 
+enabled, which is not the default.
 .TP
 .B RES_AAONLY
 Accept authoritative answers only.
-- 
1.7.10.4

--
To unsubscribe from this list: send the line "unsubscribe linux-man" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html


Added tag(s) patch. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Mon, 04 Mar 2013 22:51:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Tue, 05 Mar 2013 12:33:02 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://thread.gmane.org/gmane.linux.man/3696'. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Tue, 05 Mar 2013 12:39:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Wed, 01 May 2013 17:39:04 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Thu, 23 May 2013 22:51:39 GMT) Full text and rfc822 format available.

Notification sent to Simon Heimberg <simohe@besonet.ch>:
Bug acknowledged by developer. (Thu, 23 May 2013 22:51:39 GMT) Full text and rfc822 format available.

Message #41 received at 692136-close@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 692136-close@bugs.debian.org
Subject: Bug#692136: fixed in manpages 3.51-1
Date: Thu, 23 May 2013 22:48:40 +0000
Source: manpages
Source-Version: 3.51-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692136@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Paillard <spaillard@debian.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 23 May 2013 23:05:10 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.51-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Simon Paillard <spaillard@debian.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 182014 235967 533232 542601 553413 575077 578178 620746 674034 676264 692136 699387 700529 704787 705293
Changes: 
 manpages (3.51-1) unstable; urgency=low
 .
   * Imported Upstream version 3.51:
     . new manpages: kcmp.3 s390_runtime_instr.2 if_freenameindex.3
       if_indextoname.3 if_nameindex.3 if_nametoindex.3 (Closes: #235967)
       perf_event_open.2 getcontext.3 getdtablesize.3 pthread_getname_np.3
       pthread_setname_np.3 setcontext.3 sln.8
       fattach.2 fdetach.2 getmsg.2 getunwind.2 isastream.2
       perfmonctl.2 putmsg.2 nss.5
     . ttyname.3: Fix confused text in ERRORS (Closes: #676264)
     . proc.5: Add field numbers for (Closes: #553413)
     . read.2: Remove crufty text about O_NONBLOCK on files (Closes: #700529)
     . read.2: Clarify interaction of count==0 and error check (Closes: #533232)
     . getpeername.2: Clarify semantics of getpeername() for datagram
       sockets (Closes: #674034)
     . mmap.2: Some 'flags' values require a feature test macro to be
       defined (Closes: #542601)
     . resolver.3, resolv.conf.5: RES_DEBUG is only available if glibc is
       compiled with debug support (Closes: #692136)
     . stdarg.3: Describe va_copy() (Closes: #575077)
     . futimes.3: ERRORS: Add ENOSYS for lutimes() (Closes: #620746)
     . units.7: units should use an actual µ (Closes: #704787)
     . access.2: Clarify RETURN VALUE for F_OK (Closes: #705293)
     . resolv.conf.5: Document "single-request-reopen" option (Closes: #699387)
     . bootparam.7: Document 'rootfstype' option (Closes: #182014)
     . ioperm.2: Linux 2.6.8 lifted the port limit to 65,536 (Closes: #578178)
   * d/rules: build-{arch,indep} as required by policy 3.9.4
   * lintian overrides: FSSTND-dir-in-manual-page are alternate path
Checksums-Sha1: 
 f277d33dc4ae2e2824fd7f2d747ec18f272a0d59 1907 manpages_3.51-1.dsc
 96c93e69f4e5db0952361b25db3eb3c19504ac1f 1828168 manpages_3.51.orig.tar.gz
 beaf9204e88e4406e7afd7d6014e7ea7af620e2f 47215 manpages_3.51-1.diff.gz
 db917de30d91a0382c32b8a71a57331eb0da7d40 823120 manpages_3.51-1_all.deb
 3d8a2bba0b3c9cb0ef8e4ab545eb37b5b1bf1974 1803556 manpages-dev_3.51-1_all.deb
Checksums-Sha256: 
 bf5b05f49b85e86052694c2c80fc1a9119437c88b60f0606d786b301b1c6f07b 1907 manpages_3.51-1.dsc
 f6639351a6a9e7fd9a82bae7dbefa8cb73557794e04a5d6a05bf8f64b8457bad 1828168 manpages_3.51.orig.tar.gz
 0151dd7c6eeeae5f3e764b5a5ac03fa6a48e3c36eeaa19e550de2ccbf0cfb337 47215 manpages_3.51-1.diff.gz
 fd60606aecff76039e414d9930b528900c90916f226ab61e24a1ce782de85916 823120 manpages_3.51-1_all.deb
 ebf111927854d749bfe4b1b510fe4ac49b965ed3466795a0456c144de3e5311f 1803556 manpages-dev_3.51-1_all.deb
Files: 
 233eff29953c78f8c1257fda9f31a6d2 1907 doc important manpages_3.51-1.dsc
 bed1627674356ec85492c5e94619b23d 1828168 doc important manpages_3.51.orig.tar.gz
 3144b81732373b7f027c071c58f6c230 47215 doc important manpages_3.51-1.diff.gz
 4df5993a51d7985a0a271d0a4bf19d79 823120 doc important manpages_3.51-1_all.deb
 075aa05d2cae81593bf807ad5b56585f 1803556 doc optional manpages-dev_3.51-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRnplOAAoJEN/3OMLRbPuiX0EP/0++s6v9aB7OtKEXos4RnFbQ
SAOyHWgLaBJ7ui/nb0OfUHWhZ3DxfgkGQmcDw0EU86pvr5FAJinMKV0rJ7s4YacY
VxL5Ryw0VlvnTBWt017c2GgRxFtMUZFY3wvuvB4hJRCnjFujR3e8ARvDjmYTGr/0
xIP/5dMqEXJIKKFBdg3PDI1p+MqG5xapINBX2kegRI6bAWmEXq356JkIvGy2QuLU
OKkrFeKijgaij8ZPuwDqrq2Wax3wsB8Qn4RKM64zRZpilEDvRZZHBBHwpdDFl8rr
iIlFuXeC0fePVMefJ1u7T8X640hoFMNBcYU5lJdT4rHKPlqDJFIU+C9SlRH1kxYX
+0x4EgzOxzLZfXmP0FoQpeCC4kOqpLOteFHylLHFr9RItKHmFdvBiPCGTjuAb71c
dtPJLx+LgXoHagvOI9wc1aS6AAsVove1PRJtAaj7jNK5SJX+o0chT2rWXkw2HHYy
sJMLb5ePdwP15IsuUwkN8XDyWsnEfPyM+hIgoPByyNZolEsrzXKlpAl62I5cCI/D
8LHgLmAhKEsRwbvvy9EhgzV5+qAS5ABL6T1BB55ZRKZ8omkMq5AXeHGhgYwISeYp
AdM4DTI0kWZ7yNgrJxsIMtewPgR2pI1Cgf+B7xzZHfP94+ogSKEq/jdvgJEml9St
INgTr6jypYWrNIjoJenf
=cbGv
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Jul 2013 07:32:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:11:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.